program aaah
use sep
implicit none
integer:: a, b,c
real   :: d, e, f
integer,dimension(5):: g,h,j
real,dimension(100):: r
integer,allocatable,dimension(:)::z,y
real,allocatable,dimension(:)::x
call sep_init()
call from_param('seed',c)

!call random_number(r)
!write(0,*) 'one',r
!call random_number(r)
!write(0,*) 'two',r

!do c=1,2
call random_seed(size=a)
allocate(x(a))
do b=1,a
   x(b)=b*c
end do
!call random_number(x)
!write(0,*) 'x',x

!write(0,*) 'a',a
allocate(z(a))
allocate(y(a))


z=nint(1000*x)

call random_seed(put=z)
!write(0,*) 'y',y
call random_seed(get=y)
!write(0,*) 'y',y
call random_number(r)
write(0,*) 'r',r
deallocate(x,z,y)
!end do


end program aaah
